- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_rds_settings – Manage main settings of a Remote Desktop Gateway server

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Status

## Synopsis

- Configure general settings of a Remote Desktop Gateway server.

## Requirements

The below requirements are needed on the host that executes this module.

- Windows Server 2008R2 (6.1) or higher.

- The Windows Feature “RDS-Gateway” must be enabled.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
certificate_hash string |  | Certificate hash (thumbprint) for the Remote Desktop Gateway server. The certificate hash is the unique identifier for the certificate.
enable_only_messaging_capable_clients boolean | Choices: no yes | If enabled, only clients that support logon messages and administrator messages can connect.
max_connections integer |  | The maximum number of connections allowed. If set to `0`, no new connections are allowed. If set to `-1`, the number of connections is unlimited.
ssl_bridging string | Choices: https_http https_https none | Specifies whether to use SSL Bridging. `none`: no SSL bridging. `https_http`: HTTPS-HTTP bridging. `https_https`: HTTPS-HTTPS bridging.

## See Also

See also

win_rds_cap – Manage Connection Authorization Policies (CAP) on a Remote Desktop Gateway server

  The official documentation on the win_rds_cap module.

win_rds_rap – Manage Resource Authorization Policies (RAP) on a Remote Desktop Gateway server

  The official documentation on the win_rds_rap module.

win_rds_settings – Manage main settings of a Remote Desktop Gateway server

  The official documentation on the win_rds_settings module.

## Examples

    - name: Configure the Remote Desktop Gateway
      win_rds_settings:
        certificate_hash: B0D0FA8408FC67B230338FCA584D03792DA73F4C
        max_connections: 50
      notify:
        - Restart TSGateway service

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Subileau (@ksubileau)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.